package me.chyxion.tigon.codegen;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;

/**
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * Jun 24, 2018 20:58:08
 */
@Configuration
public class WebConfig implements WebMvcConfigurer {

    /**
     * {@inheritDoc}
     */
    @Override
    public void addResourceHandlers(final ResourceHandlerRegistry registry) {
        registry.addResourceHandler("/assets/**")
            .addResourceLocations("/assets/", "classpath:webapp/assets/");
    }
}
