package me.chyxion.tigon.codegen.service.support;

import java.util.Map;
import me.chyxion.tigon.codegen.model.CodeGenArgs;

/**
 * @version 0.0.1
 * @since 0.0.1
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * Oct 6, 2014 5:51:27 PM
 */
public class MapperXmlCodeGen extends MapperCodeGen {

    /**
     * {@inheritDoc}
     */
    @Override
    public String process(Map<String, Object> dataModel, 
            String module, String model) {
        return render(new CodeGenArgs(
            CodeGenArgs.TARGET_MAPPER_XML,
            "/codegen/mapper-xml.ftl",
            dataModel,
            codeDir + dataModel.get("pkgDir") +
            "/mapper/" + model + "Mapper.xml"));
    }
}
