package me.chyxion.tigon.model;

import lombok.Getter;
import lombok.Setter;
import me.chyxion.tigon.mybatis.NotUpdate;

/**
 * @version 0.0.1
 * @since 0.0.1
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * Oct 8, 2016 2:57:49 PM
 */
@Setter
@Getter
public class M3<UserId, Id>
    extends M2<Id> {
    private static final long serialVersionUID = 1L;

    public static final String CREATED_BY = "created_by";
    public static final String UPDATED_BY = "updated_by";

    // fields
    @NotUpdate
    protected UserId createdBy;
    protected UserId updatedBy;
}
