package me.chyxion.tigon.mybatis.cache;

import org.apache.ibatis.cache.Cache;

/**
 * @version 0.0.1
 * @since 0.0.1
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * Aug 26, 2015 10:58:58 AM
 */
public interface CacheTool {

    /**
     * clear cache
     * @param mapper mapper
     */
    void clearCache(Class<?> mapper);
    
    /**
     * clear cache
     * @param mapper mapper
     * @return cache of mapper
     */
    Cache getCache(Class<?> mapper);
}
