package me.chyxion.tigon.webmvc.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.Documented;
import java.lang.annotation.RetentionPolicy;

/**
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * Jun 26, 2018 17:58:20
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
public @interface CriterionCol {

    /**
     * http request param name
     * @return http request param
     */
    String param();

    /**
     * database table col
     * @return database table col
     */
    String col();

    /**
     * database table col java type
     * @return database table col java type
     */
    Class<?> type();
}
