package me.chyxion.tigon.codegen.service.support;

import java.util.Map;
import me.chyxion.tigon.codegen.model.CodeGenArgs;

/**
 * @version 0.0.1
 * @since 0.0.1
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * Oct 7, 2014 7:52:21 PM
 */
public class MapperTestCodeGen extends MapperCodeGen {

    /**
     * {@inheritDoc}
     */
    @Override
    public String process(Map<String, Object> dataModel, String module, String model) {
        return render(new CodeGenArgs(
                CodeGenArgs.TARGET_MAPPER_TEST, 
                "/codegen/mapper-test.ftl", 
                dataModel,
                testDir + dataModel.get("pkgDir") + 
                    "/mapper/" + model + "MapperTest.java"));
    }
}
