package me.chyxion.tigon.form;

import lombok.Getter;
import lombok.Setter;
import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import me.chyxion.tigon.format.annotation.Trim;
import me.chyxion.tigon.format.annotation.EmptyToNull;

/**
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * Jun 25, 2018 22:56:52
 */
@Getter
@Setter
public class ListForm extends BaseForm {
    @Min(0)
    private int start;
    @Min(1)
    @Max(2048)
    private int limit = 16;
    private String search;
    @Trim
    @EmptyToNull
    private String criteria;
    @Trim
    @EmptyToNull
    private String filters;
    @Trim
    @EmptyToNull
    private String orders;
}
